<!DOCTYPE html>
<html>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <head>
        <title>Tinkerforge | JavaScript Example</title>
    </head>
    <body>
        <div style="text-align:center;">
            <h1>Temperature Bricklet Simple Example</h1>
            <p>
                <input value="localhost" id="host" type="text" size="20">:
                <input value="4280" id="port" type="text" size="5">,
                <input value="uid" id="uid" type="text" size="5">
                <input value="Start Example" id="start" type="button" onclick="startExample();">
            </p>
            <p>
                <textarea readonly id="text" cols="80" rows="24" style="resize:none;"
                          >Press "Start Example" to begin ...</textarea>
            </p>
        </div>
        <script type='text/javascript'>
            //var Tinkerforge = require('tinkerforge');
            var textArea = document.getElementById("text");
            function startExample() {
                textArea.value = "";
    
                var ipcon = new Tinkerforge.IPConnection(); // Create IP connection
                var t = new Tinkerforge.BrickletTemperature(UID, ipcon); // Create device object

                ipcon.connect(HOST, PORT,
                    function (error) {
                        console.log('Error: ' + error);
                    }
                ); // Connect to brickd
                // Don't use device before ipcon is connected

                ipcon.on(Tinkerforge.IPConnection.CALLBACK_CONNECTED,
                    function (connectReason) {
                        // Get current temperature
                        t.getTemperature(
                            function (temperature) {
                                console.log('Temperature: ' + temperature/100.0 + ' °C');
                            },
                            function (error) {
                                console.log('Error: ' + error);
                            }
                        );
                    }
                );
            }
        </script>
    </body>
</html>